Opus audio codec (RFC 6716): API and operations manual
| 1.1

- Main Page
- Modules
- Files

All Files Functions Typedefs Macros Groups Pages
Macros
Decoder related CTLs

## Macros
#define | OPUS_SET_GAIN(x)
| Configures decoder gain adjustment. More...
#define | OPUS_GET_GAIN(x)
| Gets the decoder's configured gain adjustment. More...

## Detailed Description

See Also
  Generic CTLs, Encoder related CTLs, Opus Decoder

## Macro Definition Documentation

#define OPUS_GET_GAIN | ( |  | x | ) |

Gets the decoder's configured gain adjustment.

See Also
  OPUS_SET_GAIN

Parameters

  [out] | x | `opus_int32 *`: Amount to scale PCM signal by in Q8 dB units.

#define OPUS_SET_GAIN | ( |  | x | ) |

Configures decoder gain adjustment.

Scales the decoded output by a factor specified in Q8 dB units. This has a maximum range of -32768 to 32767 inclusive, and returns OPUS_BAD_ARG otherwise. The default is zero indicating no adjustment. This setting survives decoder reset.

gain = pow(10, x/(20.0*256))

Parameters

  [in] | x | `opus_int32`: Amount to scale PCM signal by in Q8 dB units.

For more information visit the Opus Website. |